import openwns.wrowser.simdb.api as api

bandwidth = 20.0e6

def filter(allscen):
    s = []
    
    for scen in allscen:
# Bug Test
	if scen.parameterSet.params["full"] == 1:
#	if scen.parameterSet.params["fullPLCompensation"] == True:
#	if scen.parameterSet.params["alpha"] == 1.0:
#	if scen.parameterSet.params["pNull"] == "-106 dBm":
            print scen.parameterSet.params
            s.append(scen)	    

    return s

campaign = api.getCampaignByTitle("Parameter Type")

allscen = api.getScenariosForCampaign(campaign)

from pylab import *
from cseReference import refs

cdfs = {}
cdfs["THRPT_incoming"] = []
cdfs["THRPT_aggregated"] = []

legends = {}
legends["incoming"] = []
legends["aggregated"] = []

direction = ["incoming", "aggregated"]

for d in direction: 
    name = "lte.total.window.%s.bitThroughput_UT_PDF" % d
    print "Reading %s" % name

    cdf = api.getCDFs(name, campaign, forScenarios = filter(allscen), agg="AVG")

    cdfs["THRPT_%s"%d].append(cdf)
    legends[d].append("openWNS")

for cdf in cdfs["THRPT_incoming"]:
    for x,y in cdf:
        plot(array(x)/bandwidth,array(y))

plot(refs["DL"]["InH"]["Org1"][0], refs["DL"]["InH"]["Org1"][1])
plot(refs["DL"]["InH"]["Org4"][0], refs["DL"]["InH"]["Org4"][1])
plot(refs["DL"]["InH"]["Org5"][0], refs["DL"]["InH"]["Org5"][1])
xlim(0.0, 1.0)
grid()
title("Normalized User Throughput InH Downlink")
legend(legends["incoming"] + ["Org1", "Org4", "Org5"], loc=4)
xlabel("User Throughput [bps/Hz]")
ylabel("P(X < x)")

figure()

for cdf in cdfs["THRPT_aggregated"]:
    for x,y in cdf:
        plot(array(x)/bandwidth,array(y))

plot(refs["UL"]["InH"]["Org1"][0], refs["UL"]["InH"]["Org1"][1])
plot(refs["UL"]["InH"]["Org5"][0], refs["UL"]["InH"]["Org5"][1])
xlim(0.0, 1.0)
grid()
title("Normalized User Throughput InH Uplink")
legend(legends["aggregated"] + ["Org1", "Org5"],loc=4)
xlabel("User Throughput [bps/Hz]")
ylabel("P(X < x)")
show()
clf()
